import { Grid, TextField } from "@mui/material";
import { useEffect, useState } from "react";

const CalendarStandartCell = ({children, xs, onClick, currentTask, hours, dayNumber,  createTaskInCellHandler, handleOpen, modal}) => {
    const [isThisCell, setIsThisCell] = useState(false)
    useEffect(()=>{
        if(!modal) {
            setIsThisCell(false);
        }
    }, [modal])
    return <>
        <Grid  
            item xs={xs} 
            sx={{borderRight: '1px solid black'}} 
            onClick={(e)=>{createTaskInCellHandler(dayNumber, hours); setIsThisCell(true); handleOpen(e)}}>
            {children}
        {isThisCell ?  
        <Grid
            sx={{backgroundColor: 'lightgreen'}} 
        >
            <span>
                {currentTask.title}
            </span>
        </Grid> : null}
        </Grid>
    </>
};

export default CalendarStandartCell;